com.independentsoft.exchange

## Class RemoveItem

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.ResponseItem
    - - com.independentsoft.exchange.RemoveItem

-     public class RemoveItem
      extends ResponseItem

  Represents a response object that is used to remove a meeting item when a MeetingCancellation message is received.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveItem()` Initializes a new instance of the RemoveItem class.
    `RemoveItem(ItemId referenceItemId)` Initializes a new instance of the RemoveItem class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Mailbox>` | `getBccRecipients()` Gets an array of recipients of an item.
    `java.util.List<Mailbox>` | `getCcRecipients()` Gets the cc recipients.
    `java.lang.String` | `getConversationIndex()` Gets the index to the conversation thread of the message.
    `java.lang.String` | `getConversationTopic()` Gets the conversation identifier.
    `Mailbox` | `getFrom()` Gets the author of the message.
    `java.util.List<InternetMessageHeader>` | `getInternetMessageHeaders()` Gets an array of the type InternetHeaderType that represents the collection of all Internet message headers that are contained in an item in a mailbox.
    `java.lang.String` | `getInternetMessageId()` Gets the Internet message identifier of an item.
    `Mailbox` | `getReceivedBy()` Sets the delegate in a delegate access scenario.
    `Mailbox` | `getReceivedRepresenting()` Gets the principal in a delegate access scenario.
    `java.lang.String` | `getReferences()` Gets the Usenet header that is used to associate replies with the original message.
    `java.util.List<Mailbox>` | `getReplyTo()` Gets a value that represents the recipients to whom the message is addressed.
    `Mailbox` | `getSender()` Gets the sender of an item.
    `java.util.List<Mailbox>` | `getToRecipients()` Gets the to recipients.
    `boolean` | `isDeliveryReceiptRequested()` Gets the value that specifies whether the sender of an item requests a delivery receipt.
    `boolean` | `isRead()` Gets whether a message has been read.
    `boolean` | `isReadReceiptRequested()` Gets the value that specifies whether the sender of a message requests a read receipt.
    `boolean` | `isResponseRequested()` Gets whether a response to an item is requested.
    `void` | `setDeliveryReceiptRequested(boolean isDeliveryReceiptRequested)` Sets the value that specifies whether the sender of an item requests a delivery receipt.
    `void` | `setFrom(Mailbox from)` Sets the author of the message.
    `void` | `setRead(boolean isRead)` Sets whether a message has been read.
    `void` | `setReadReceiptRequested(boolean isReadReceiptRequested)` Sets the value that specifies whether the sender of a message requests a read receipt.
    `void` | `setReferences(java.lang.String references)` Sets the Usenet header that is used to associate replies with the original message.
    `void` | `setResponseRequested(boolean isResponseRequested)` Sets whether a response to an item is requested.
    `void` | `setSender(Mailbox sender)` Sets the sender of an item.

    - ### Methods inherited from class com.independentsoft.exchange.ResponseItem

      `getReferenceItemId, setReferenceItemId`

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveItem

          public RemoveItem()

      Initializes a new instance of the RemoveItem class.

    - #### RemoveItem

          public RemoveItem(ItemId referenceItemId)

      Initializes a new instance of the RemoveItem class.
      Parameters:
        `referenceItemId` - the reference item id

  - ### Method Detail

    - #### getInternetMessageHeaders

          public java.util.List<InternetMessageHeader> getInternetMessageHeaders()

      Gets an array of the type InternetHeaderType that represents the collection of all Internet message headers that are contained in an item in a mailbox.
      Returns:
        the internet message headers

    - #### getSender

          public Mailbox getSender()

      Gets the sender of an item.
      Returns:
        the sender

    - #### setSender

          public void setSender(Mailbox sender)

      Sets the sender of an item.
      Parameters:
        `sender` - the new sender

    - #### getToRecipients

          public java.util.List<Mailbox> getToRecipients()

      Gets the to recipients.
      Returns:
        the to recipients

    - #### getCcRecipients

          public java.util.List<Mailbox> getCcRecipients()

      Gets the cc recipients.
      Returns:
        the cc recipients

    - #### getBccRecipients

          public java.util.List<Mailbox> getBccRecipients()

      Gets an array of recipients of an item.
      Returns:
        the bcc recipients

    - #### isReadReceiptRequested

          public boolean isReadReceiptRequested()

      Gets the value that specifies whether the sender of a message requests a read receipt.
      Returns:
        true, if is read receipt requested

    - #### setReadReceiptRequested

          public void setReadReceiptRequested(boolean isReadReceiptRequested)

      Sets the value that specifies whether the sender of a message requests a read receipt.
      Parameters:
        `isReadReceiptRequested` - the new read receipt requested

    - #### isDeliveryReceiptRequested

          public boolean isDeliveryReceiptRequested()

      Gets the value that specifies whether the sender of an item requests a delivery receipt.
      Returns:
        true, if is delivery receipt requested

    - #### setDeliveryReceiptRequested

          public void setDeliveryReceiptRequested(boolean isDeliveryReceiptRequested)

      Sets the value that specifies whether the sender of an item requests a delivery receipt.
      Parameters:
        `isDeliveryReceiptRequested` - the new delivery receipt requested

    - #### getConversationIndex

          public java.lang.String getConversationIndex()

      Gets the index to the conversation thread of the message.
      Returns:
        the conversation index

    - #### getConversationTopic

          public java.lang.String getConversationTopic()

      Gets the conversation identifier.
      Returns:
        the conversation topic

    - #### getFrom

          public Mailbox getFrom()

      Gets the author of the message.
      Returns:
        the from

    - #### setFrom

          public void setFrom(Mailbox from)

      Sets the author of the message.
      Parameters:
        `from` - the new from

    - #### getInternetMessageId

          public java.lang.String getInternetMessageId()

      Gets the Internet message identifier of an item.
      Returns:
        the internet message id

    - #### isRead

          public boolean isRead()

      Gets whether a message has been read.
      Returns:
        true, if is read

    - #### setRead

          public void setRead(boolean isRead)

      Sets whether a message has been read.
      Parameters:
        `isRead` - the new read

    - #### isResponseRequested

          public boolean isResponseRequested()

      Gets whether a response to an item is requested.
      Returns:
        true, if is response requested

    - #### setResponseRequested

          public void setResponseRequested(boolean isResponseRequested)

      Sets whether a response to an item is requested.
      Parameters:
        `isResponseRequested` - the new response requested

    - #### getReferences

          public java.lang.String getReferences()

      Gets the Usenet header that is used to associate replies with the original message.
      Returns:
        the references

    - #### setReferences

          public void setReferences(java.lang.String references)

      Sets the Usenet header that is used to associate replies with the original message.
      Parameters:
        `references` - the new references

    - #### getReplyTo

          public java.util.List<Mailbox> getReplyTo()

      Gets a value that represents the recipients to whom the message is addressed.
      Returns:
        the reply to

    - #### getReceivedBy

          public Mailbox getReceivedBy()

      Sets the delegate in a delegate access scenario.
      Returns:
        the received by

    - #### getReceivedRepresenting

          public Mailbox getReceivedRepresenting()

      Gets the principal in a delegate access scenario.
      Returns:
        the received representing